//---------------------------------------------------------------------------
#ifndef TSettingsBoxH
#define TSettingsBoxH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <Buttons.hpp>
#include "CSPIN.h"
//---------------------------------------------------------------------------
class TSettingsBox : public TForm
{
__published:	// IDE-managed Components
	TGroupBox *GroupBoxPar;
	TEdit *EditGamma;
	TLabel *Label1;
	TLabel *Label2;
	TEdit *EditAlpha;
	TGroupBox *GroupBoxCompute;
	TCheckBox *CheckBoxImpacts;
	TLabel *Label3;
	TRadioButton *RBtnRK2;
	TCheckBox *CheckBoxShowHint;
	TButton *BtnOK;
	TButton *BtnCancel;
	TSpeedButton *SBtnG;
	TRadioButton *RBtnRK4;
	TRadioButton *RBtnRK6;
	TRadioButton *RBtnRK3;
	TRadioButton *RBtnRK5;
	TRadioButton *RBtnRK7;
	TRadioButton *RBtnRK8;
	TGroupBox *GroupBoxVis;
	TCheckBox *CheckDraw3D;
	TLabel *Label4;
	TLabel *Label5;
	TScrollBar *RxSliderAlpha;
	TCSpinEdit *SpinEditBrightness;
	TCSpinEdit *SpinEditFPS;
	void __fastcall FormCloseQuery(TObject *Sender, bool &CanClose);
	
	void __fastcall BtnCancelClick(TObject *Sender);
	void __fastcall RxSliderAlphaChange(TObject *Sender);
	void __fastcall EditAlphaExit(TObject *Sender);
	void __fastcall EditAlphaKeyDown(TObject *Sender, WORD &Key,
          TShiftState Shift);
	void __fastcall BtnOKClick(TObject *Sender);
	void __fastcall EditGammaExit(TObject *Sender);
	void __fastcall EditGammaKeyDown(TObject *Sender, WORD &Key,
          TShiftState Shift);
	void __fastcall SBtnGClick(TObject *Sender);
	void __fastcall CheckDraw3DClick(TObject *Sender);
private:	// User declarations
public:		// User declarations
	__fastcall TSettingsBox(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TSettingsBox *SettingsBox;
//---------------------------------------------------------------------------
#endif
