//---------------------------------------------------------------------------
#include <vcl.h>
#include "Unit1.h"
#include "TUniverse.cpp"
#pragma hdrstop

#include "TPlanetBox.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TPlanetBox *PlanetBox;
extern AnsiString PlanetName;
extern bool ShowName;

//---------------------------------------------------------------------------
__fastcall TPlanetBox::TPlanetBox(TComponent* Owner)
	: TForm(Owner)
{
    if (!MainForm->SBtnGroup->Down) EditName->Text = PlanetName;
    else {
    	EditName->Enabled = false;
        EditName->Color = PlanetBox->Color;
    }
    CheckBoxShow->Checked = ShowName;
}
//---------------------------------------------------------------------------
void __fastcall TPlanetBox::FormCloseQuery(TObject *Sender, bool &CanClose)
{
	Release();	
}
//---------------------------------------------------------------------------
void __fastcall TPlanetBox::BtnCancelClick(TObject *Sender)
{
	Close();	
}
//---------------------------------------------------------------------------
void __fastcall TPlanetBox::FormResize(TObject *Sender)
{
	BtnCancel->Left = ClientWidth - BtnCancel->Width;
    BtnOK->Left = BtnCancel->Left - BtnOK->Width + 1;
    EditName->Width = BtnOK->Left - 4;	
}
//---------------------------------------------------------------------------
void __fastcall TPlanetBox::BtnOKClick(TObject *Sender)
{
	if (!MainForm->SBtnGroup->Down) PlanetName = EditName->Text.Trim();
    ShowName = CheckBoxShow->Checked;
    Close();
}
//---------------------------------------------------------------------------
void __fastcall TPlanetBox::FormKeyDown(TObject *Sender, WORD &Key,
      TShiftState Shift)
{
	if (Key == VK_RETURN) BtnOKClick(Sender);
    if (Key == VK_ESCAPE) Close();
}
//---------------------------------------------------------------------------

