//---------------------------------------------------------------------------
#ifndef Unit1H
#define Unit1H
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ExtCtrls.hpp>
#include <Buttons.hpp>
#include <Dialogs.hpp>
#include <Graphics.hpp>
//---------------------------------------------------------------------------
class TMainForm : public TForm
{
__published:	// IDE-managed Componentsvoid __fastcall FormPaint(TObject *Sender);
	TPanel *Panel;
	TImage *Image;
	TPanel *PanelPlanet;
	TLabel *Label2;
	TLabel *Label3;
	TEdit *EditMass;
	TLabel *Label4;
	TLabel *Label5;
	TEdit *EditY;
	TEdit *EditX;
	TEdit *EditVx;
	TEdit *EditVy;
	TLabel *Label7;
	TLabel *Label6;
	TPanel *PanelTime;
	TLabel *LabelFPS;
	TSpeedButton *SBtnStop;
	TSpeedButton *SBtnPlay;
	TPanel *PanelTools;
	TSpeedButton *SBtnDrag;
	TSpeedButton *SBtnSelect;
	TSpeedButton *SBtnDelete;
	TLabel *LabelTools;
	TLabel *LabelPlanet;
	TLabel *LabelTime;
	TPanel *PanelColor;
	TSpeedButton *SBtnGroup;
	TColorDialog *ColorDialog;
	TPanel *PanelUniverse;
	TLabel *LabelUniverse;
	TLabel *Label8;
	TEdit *EditZoom;
	TSpeedButton *SBtnZoomAll;
	TSpeedButton *SBtnDeleteAll;
	TSpeedButton *SBtnSettings;
	TSpeedButton *SBtnGenerate;
	TImage *ImageTime;
	TImage *ImageTools;
	TImage *ImagePlanet;
	TImage *ImageUniverse;
	TPanel *PanelRight;
	TTimer *Timer;
	TEdit *EditZ;
	TLabel *Label9;
	TEdit *EditVz;
	TLabel *Label10;
	TLabel *Label11;
	TSpeedButton *SBtnTraj;
	TSpeedButton *SBtnDeselect;
	TSpeedButton *SBtnDeactivate;
	TEdit *EditRadius;
	TEdit *EditTime;
	TSpeedButton *SBtnStepBack;
	TSpeedButton *SBtnStepForward;
	TSpeedButton *SBtnTime;
	TSpeedButton *SBtnZoomCenter;
	TSpeedButton *SBtnCamera;
	TSpeedButton *SBtnSave;
	TSpeedButton *SBtnLoad;
	TSaveDialog *SaveDialog;
	TOpenDialog *OpenDialog;
	TSpeedButton *SBtnTrajSettings;
	TEdit *EditPlanets;
    void __fastcall FormResize(TObject *Sender);
	void __fastcall ImageMouseMove(TObject *Sender, TShiftState Shift, int X, int Y);
	void __fastcall ImageMouseDown(TObject *Sender, TMouseButton Button, TShiftState Shift, int X, int Y);
	void __fastcall ImageMouseUp(TObject *Sender, TMouseButton Button, TShiftState Shift, int X, int Y);
	void __fastcall SBtnPlayClick(TObject *Sender);
	void __fastcall SBtnStopClick(TObject *Sender);
	void __fastcall FormCloseQuery(TObject *Sender, bool &CanClose);
	void __fastcall ImageDblClick(TObject *Sender);
	void __fastcall EditRadiusExit(TObject *Sender);
	void __fastcall EditRadiusKeyDown(TObject *Sender, WORD &Key, TShiftState Shift);
	void __fastcall EditMassExit(TObject *Sender);
	void __fastcall EditMassKeyDown(TObject *Sender, WORD &Key, TShiftState Shift);
	void __fastcall EditXKeyDown(TObject *Sender, WORD &Key, TShiftState Shift);
	void __fastcall EditYKeyDown(TObject *Sender, WORD &Key, TShiftState Shift);
	void __fastcall EditVxKeyDown(TObject *Sender, WORD &Key, TShiftState Shift);
	void __fastcall EditVyKeyDown(TObject *Sender, WORD &Key, TShiftState Shift);
	void __fastcall EditXExit(TObject *Sender);
	void __fastcall EditYExit(TObject *Sender);
	void __fastcall EditVxExit(TObject *Sender);
	void __fastcall EditVyExit(TObject *Sender);
	void __fastcall PanelColorMouseDown(TObject *Sender, TMouseButton Button, TShiftState Shift, int X, int Y);
	void __fastcall SBtnDeleteClick(TObject *Sender);
	void __fastcall FormKeyDown(TObject *Sender, WORD &Key, TShiftState Shift);
	void __fastcall EditZoomExit(TObject *Sender);
	void __fastcall EditZoomKeyDown(TObject *Sender, WORD &Key, TShiftState Shift);
	void __fastcall SBtnZoomAllClick(TObject *Sender);
	void __fastcall SBtnDeleteAllClick(TObject *Sender);
	void __fastcall SBtnSettingsClick(TObject *Sender);
	void __fastcall SBtnGenerateClick(TObject *Sender);
	void __fastcall FormKeyUp(TObject *Sender, WORD &Key, TShiftState Shift);
	void __fastcall TimerTimer(TObject *Sender);
	void __fastcall SBtnDeselectClick(TObject *Sender);
	void __fastcall SBtnDeactivateClick(TObject *Sender);
	void __fastcall EditZKeyDown(TObject *Sender, WORD &Key,
          TShiftState Shift);
	void __fastcall EditVzKeyDown(TObject *Sender, WORD &Key,
          TShiftState Shift);
	void __fastcall EditZExit(TObject *Sender);
	void __fastcall EditVzExit(TObject *Sender);
	void __fastcall EditMassDblClick(TObject *Sender);
	void __fastcall SBtnZoomCenterClick(TObject *Sender);
	void __fastcall SBtnCameraClick(TObject *Sender);
	void __fastcall SBtnTimeClick(TObject *Sender);
	void __fastcall SBtnStepForwardClick(TObject *Sender);
	void __fastcall SBtnStepBackClick(TObject *Sender);
	void __fastcall SBtnSaveClick(TObject *Sender);
	void __fastcall SBtnLoadClick(TObject *Sender);
	void __fastcall SBtnTrajClick(TObject *Sender);
	void __fastcall SBtnTrajSettingsClick(TObject *Sender);
	
	void __fastcall LabelPlanetClick(TObject *Sender);
	void __fastcall EditXEnter(TObject *Sender);
	void __fastcall EditYEnter(TObject *Sender);
	void __fastcall EditZEnter(TObject *Sender);
	void __fastcall EditVxEnter(TObject *Sender);
	void __fastcall EditVyEnter(TObject *Sender);
	void __fastcall EditVzEnter(TObject *Sender);
	void __fastcall EditRadiusEnter(TObject *Sender);
	void __fastcall EditMassEnter(TObject *Sender);
private:	// User declarations
public:		// User declarations
	__fastcall TMainForm(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TMainForm *MainForm;
//---------------------------------------------------------------------------
#endif
